ChangeSet 1.991, 2003/02/20 11:10:31-08:00, henning@meier-geinitz.de

[PATCH] USB scanner.c: Adjust syslog output

This patch prints the vendor + product ids of the scanner after it has
been successfully detected.

Also the annoying error message about "Scanner device is already open"
was downgraded to a dbg. Scanning for devices while one scanner device
was open produced several 100 error messages in syslog.


diff -Nru a/drivers/usb/scanner.c b/drivers/usb/scanner.c
--- a/drivers/usb/scanner.c	Thu Feb 20 12:07:18 2003
+++ b/drivers/usb/scanner.c	Thu Feb 20 12:07:18 2003
@@ -343,6 +343,8 @@
  *    - Move the scanner ioctls to usb_scanner_ioctl.h to allow access by archs
  *      that need it (by Greg KH).
  *    - New maintainer: Henning Meier-Geinitz.
+ *    - Print ids and device number when a device was detected.
+ *    - Don't print errors when the device is busy.
  *      
  * TODO
  *    - Performance
@@ -456,7 +458,7 @@
 	}
 
 	if (scn->isopen) {
-		err("open_scanner(%d): Scanner device is already open", scn_minor);
+		dbg("open_scanner(%d): Scanner device is already open", scn_minor);
 		err = -EBUSY;
 		goto out_error;
 	}
@@ -1047,6 +1049,8 @@
 	if (scn->devfs == NULL)
 		dbg("scanner%d: device node registration failed", scn_minor);
 
+	info ("USB scanner device (0x%04x/0x%04x) now attached to %s",
+	      dev->descriptor.idVendor, dev->descriptor.idProduct, name);
 	p_scn_table[scn_minor] = scn;
 
 	up(&scn_mutex);
